public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Marius Brehler" <marbre@linux.sungazer.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-biology/nilearn/
Date: Mon,  3 Apr 2017 14:55:30 +0000 (UTC)	[thread overview]
Message-ID: <1490631339.82565e1bdb4b3f2d06f95c52597cb06f4703ebc3.marbre@gentoo> (raw)

commit:     82565e1bdb4b3f2d06f95c52597cb06f4703ebc3
Author:     Horea Christian <horea.christ <AT> yandex <DOT> com>
AuthorDate: Mon Mar 27 16:15:39 2017 +0000
Commit:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
CommitDate: Mon Mar 27 16:15:39 2017 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=82565e1b

sci-biology/nilearn: importing system joblib (#762)

* sci-biology/nilearn: importing system joblib

Package-Manager: Portage-2.3.4, Repoman-2.3.2

* sci-biology/nilearn: declaring local variable

Package-Manager: Portage-2.3.4, Repoman-2.3.2

 sci-biology/nilearn/nilearn-0.2.6.ebuild | 16 +++++++++++++++-
 sci-biology/nilearn/nilearn-9999.ebuild  | 16 +++++++++++++++-
 2 files changed, 30 insertions(+), 2 deletions(-)

diff --git a/sci-biology/nilearn/nilearn-0.2.6.ebuild b/sci-biology/nilearn/nilearn-0.2.6.ebuild
index a6834596c..003d1753a 100644
--- a/sci-biology/nilearn/nilearn-0.2.6.ebuild
+++ b/sci-biology/nilearn/nilearn-0.2.6.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -27,6 +27,20 @@ RDEPEND="
 	sci-libs/nibabel[${PYTHON_USEDEP}]
 	plot? ( dev-python/matplotlib[${PYTHON_USEDEP}] )"
 
+# upstream is reluctant to *not* depend on bundled scikits_learn:
+# https://github.com/nilearn/nilearn/pull/1398
+python_prepare_all() {
+	local f
+	for f in nilearn/{*/*/,*/,}*.py; do
+		sed -r \
+			-e '/^from/s/(sklearn|\.|)\.externals\.joblib/joblib/' \
+			-e 's/from (sklearn|\.|)\.externals import/import/' \
+		-i $f || die
+	done
+
+	distutils-r1_python_prepare_all
+}
+
 python_test() {
 	echo "backend: Agg" > matplotlibrc
 	MPLCONFIGDIR=. nosetests -v || die

diff --git a/sci-biology/nilearn/nilearn-9999.ebuild b/sci-biology/nilearn/nilearn-9999.ebuild
index dcaa0ade5..d92ca884f 100644
--- a/sci-biology/nilearn/nilearn-9999.ebuild
+++ b/sci-biology/nilearn/nilearn-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -28,6 +28,20 @@ RDEPEND="
 	sci-libs/nibabel[${PYTHON_USEDEP}]
 	plot? ( dev-python/matplotlib[${PYTHON_USEDEP}] )"
 
+# upstream is reluctant to *not* depend on bundled scikits_learn:
+# https://github.com/nilearn/nilearn/pull/1398
+python_prepare_all() {
+	local f
+	for f in nilearn/{*/*/,*/,}*.py; do
+		sed -r \
+			-e '/^from/s/(sklearn|\.|)\.externals\.joblib/joblib/' \
+			-e 's/from (sklearn|\.|)\.externals import/import/' \
+		-i $f || die
+	done
+
+	distutils-r1_python_prepare_all
+}
+
 python_test() {
 	echo "backend: Agg" > matplotlibrc
 	MPLCONFIGDIR=. nosetests -v || die


             reply	other threads:[~2017-04-03 14:55 UTC|newest]

Thread overview: 33+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-04-03 14:55 Marius Brehler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-22 11:28 [gentoo-commits] proj/sci:master commit in: sci-biology/nilearn/ Horea Christian
2023-05-02 23:58 Horea Christian
2023-05-02 23:58 Horea Christian
2022-07-11 16:33 Horea Christian
2022-05-13  1:44 Horea Christian
2022-04-28 15:25 Horea Christian
2022-01-26 17:48 Andrew Ammerlaan
2022-01-26 17:48 Andrew Ammerlaan
2021-09-07 12:56 Andrew Ammerlaan
2021-09-07 12:56 Andrew Ammerlaan
2021-06-01  8:40 Andrew Ammerlaan
2021-04-15  6:21 Horea Christian
2021-02-12 21:46 Sam James
2021-01-15 20:11 Andrew Ammerlaan
2020-12-24 11:00 Horea Christian
2020-12-23  8:01 Horea Christian
2020-09-26 10:31 Horea Christian
2020-09-26 10:14 Horea Christian
2020-01-10 12:48 Horea Christian
2019-11-10 13:44 Horea Christian
2018-12-07  1:09 Horea Christian
2018-12-07  1:05 Horea Christian
2018-08-02 17:42 Horea Christian
2018-08-02 17:37 Horea Christian
2018-06-05 11:43 Horea Christian
2018-01-20 21:26 Martin Mokrejs
2016-10-12  6:30 Marius Brehler
2016-10-12  6:30 Marius Brehler
2016-07-04 20:23 Justin Lecher
2016-06-15 14:19 Marius Brehler
2016-06-15 14:19 Marius Brehler
2016-06-15 14:19 Marius Brehler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1490631339.82565e1bdb4b3f2d06f95c52597cb06f4703ebc3.marbre@gentoo \
    --to=marbre@linux.sungazer.de \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox